﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS600B (1 yr) Bandwidth IEEE /9500/1100
INSTRUMENT:            Sub TDS600B (1 yr) Sens IEEE /9500/1100
DATE:                  2009-12-02 12:40:01
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       21
NUMBER OF LINES:       747
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds600b_1yr_bw_trig_sens_ieee_9500_1100.txt,v $
#    $Date: 2009/11/13 23:30:05 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 600B
#          TDS 680B, TDS 684B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.002  JMPL         TRIG_SENSITIVITY             PSUBI("Sens")
  1.003  DISP         {Undefined subprocedure!}
  1.004  END

  1.005  EVAL   Increment step number

# ****************************** Bandwidth *********************************

  2.001  LABEL        BANDWIDTH

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =ANALOG BANDWIDTH
  2.005  ENDIF

  2.006  CALL         Sub TDS500/600/700 Channel Name
  2.007  RSLT         =
  2.008  RSLT         = [V @ChanName]

  2.009  RSLT         =
  2.010  HEAD         ANALOG BANDWIDTH (CH [V @Chan])
  2.011  HEAD         -2{ 100 mV/div}
  2.012  TARGET
  2.013  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.014  IEEE2        CH[V @Chan]:IMP FIF
  2.015  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.016  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  2.017  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
  2.018  IEEE2        MEASU:METH MINM
  2.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE FREQ;STATE ON
  2.019  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYP PK2P;STATE ON
  2.020  IEEE2        HOR:SCA 50E-9
  2.021  IEEE2        CH[V @Chan]:SCA 100E-3

# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  2.022  MATH         @TriggeredChkTimes = 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 599 mV and 601 mV.
  2.023  MATH         MEM = 600; MEM1 = MEM

  2.024  DO
  2.025  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.026  IF           MEM > 5560 || MEM < 4.44
  2.027  MATH         MEM = 600
  2.028  ENDIF

  2.029  9500         mVpp                         10MH           LS    S  L

  2.030  DO
  2.031  IEEE2        [D500]TRIG:MAI SETL
  2.032  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  2.033  UNTIL        @Triggered

  2.034  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  2.035  MATH         MEM = MEM / 1E-3
  2.036  UNTIL        (MEM >= 599) && (MEM <= 601)

  2.037  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  2.038  MATH         MEM = MEM1
  2.039  9500         mVpp                         1GH            LS    S  L
  2.040  IEEE2        TRIG:MAI SETL
  2.041  WAIT         -t 3 System Settling ...
  2.042  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  2.043  MATH         MEM = MEM / 1E-3
  2.044  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  2.045  MEM2         = Limit: >= 424 mVpp @ 1 GHz, Result: [MEM2]
  2.046  EVAL   -e MEM >= 424 : [MEM2]

  3.001  HEAD         -2
  3.002  9500         *                                                 S

# If desired, you can test the optional bandwidth test or skip them.
  3.003  IF           @Chan == 1
  3.004  HEAD         BANDWIDTH TESTS (OTHER SCALES)
  3.005  OPBR         -z Checking the bandwidth of each channel at all
  3.005  OPBR         vertical scale settings is time consuming and
  3.005  OPBR         unnecessary if Self Test, Signal Path Compensation
  3.005  OPBR         and 100 mV scale bandwidth test have passed.
  3.005  OPBR
  3.005  OPBR         [No]Do you want to test the optional bandwidth test of
  3.005  OPBR         other scale settings?
  3.006  MATH         @TestOptBW = MEM1

  3.007  IF           @SourceChanNum == 1
# The next routine execution time include sample rate test, optional bandwidth
# test, trigger time accuracy test and CH 1 trigger sensitivity test.
  3.008  MATH         Time = @TestOptBW * @OptChBWTime + 6
  3.009  ELSE
  3.010  MATH         Time = 4 * @TestOptBW * @OptChBWTime + 6
  3.011  ENDIF

  3.012  DISP         The next routine operator intervention occurs
  3.012  DISP         in approximately [V Time] minutes ...
  3.013  ENDIF

  3.014  IF           @TestOptBW
# Set the trigger coupling to noise rejection for vertical settings of 1,
# 2, 5 mV/div.
  3.015  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE

  3.016  RSLT         =
  3.017  HEAD         -2{ 1 mV/div}
  3.018  TARGET
  3.019  IEEE2        HOR:SCA 50E-9
  3.020  IEEE2        CH[V @Chan]:SCA 1E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 5.95 mV and 6.05 mV.
  3.021  MATH         MEM = 6; MEM1 = MEM

  3.022  DO
  3.023  MATH         MEM = MEM1 + (6 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.024  IF           MEM > 5560 || MEM < 4.44
  3.025  MATH         MEM = 6
  3.026  ENDIF

  3.027  9500         mVpp                         10MH           LS    S  L

  3.028  DO
  3.029  IEEE2        [D500]TRIG:MAI SETL
  3.030  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  3.031  UNTIL        @Triggered

  3.032  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  3.033  MATH         MEM = MEM / 1E-3
  3.034  UNTIL        (MEM >= 5.95) && (MEM <= 6.05)

  3.035  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  3.036  MATH         MEM = MEM1
  3.037  9500         mVpp                         500MH          LS    S  L
  3.038  MATH         Freq = 500
  3.039  IEEE2        TRIG:MAI SETL
  3.040  WAIT         -t 3 System Settling ...
  3.041  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  3.042  MATH         MEM = MEM / 1E-3
  3.043  MATH         MEM2 = FMT(MEM, "%.2f") & " mVpp"
  3.044  MEM2         = Limit: >= 4.24 mVpp @ [V Freq] MHz, Result: [MEM2]
  3.045  EVAL   -e MEM >= 4.24 : [MEM2]

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 mV/div}
  4.003  TARGET
  4.004  IEEE2        HOR:SCA 50E-9
  4.005  IEEE2        CH[V @Chan]:SCA 2E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 11.99 mV and 12.01 mV.
  4.006  MATH         MEM = 12; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (12 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5560 || MEM < 4.44
  4.010  MATH         MEM = 12
  4.011  ENDIF

  4.012  9500         mVpp                         10MH           LS    S  L

  4.013  DO
  4.014  IEEE2        [D500]TRIG:MAI SETL
  4.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  4.016  UNTIL        @Triggered

  4.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  4.018  MATH         MEM = MEM / 1E-3
  4.019  UNTIL        (MEM >= 11.99) && (MEM <= 12.01)

  4.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  4.021  MATH         MEM = MEM1
  4.022  9500         mVpp                         600MH          LS    S  L
  4.023  MATH         Freq = 600
  4.024  IEEE2        TRIG:MAI SETL
  4.025  WAIT         -t 3 System Settling ...
  4.026  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  4.027  MATH         MEM = MEM / 1E-3
  4.028  MATH         MEM2 = FMT(MEM, "%.2f") & " mVpp"
  4.029  MEM2         = Limit: >= 8.48 mVpp @ [V Freq] MHz, Result: [MEM2]
  4.030  EVAL   -e MEM >= 8.48 : [MEM2]

  5.001  RSLT         =
  5.002  HEAD         -2{ 5 mV/div}
  5.003  TARGET
  5.004  IEEE2        HOR:SCA 50E-9
  5.005  IEEE2        CH[V @Chan]:SCA 5E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 29.9 mV and 30.1 mV.
  5.006  MATH         MEM = 30; MEM1 = MEM

  5.007  DO
  5.008  MATH         MEM = MEM1 + (30 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  5.009  IF           MEM > 5560 || MEM < 4.44
  5.010  MATH         MEM = 30
  5.011  ENDIF

  5.012  9500         mVpp                         10MH           LS    S  L

  5.013  DO
  5.014  IEEE2        [D500]TRIG:MAI SETL
  5.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  5.016  UNTIL        @Triggered

  5.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  5.018  MATH         MEM = MEM / 1E-3
  5.019  UNTIL        (MEM >= 29.9) && (MEM <= 30.1)

  5.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  5.021  MATH         MEM = MEM1
  5.022  9500         mVpp                         750MH          LS    S  L
  5.023  MATH         Freq = 750
  5.024  IEEE2        TRIG:MAI SETL
  5.025  WAIT         -t 3 System Settling ...
  5.026  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  5.027  MATH         MEM = MEM / 1E-3
  5.028  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  5.029  MEM2         = Limit: >= 21.2 mVpp @ [V Freq] MHz, Result: [MEM2]
  5.030  EVAL   -e MEM >= 21.2 : [MEM2]

# Reset the trigger coupling to DC.
  6.001  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC

  6.002  RSLT         =
  6.003  HEAD         -2{ 10 mV/div}
  6.004  TARGET
  6.005  IEEE2        HOR:SCA 50E-9
  6.006  IEEE2        CH[V @Chan]:SCA 10E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 59.9 mV and 60.1 mV.
  6.007  MATH         MEM = 60; MEM1 = MEM

  6.008  DO
  6.009  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  6.010  IF           MEM > 5560 || MEM < 4.44
  6.011  MATH         MEM = 60
  6.012  ENDIF

  6.013  9500         mVpp                         10MH           LS    S  L

  6.014  DO
  6.015  IEEE2        [D500]TRIG:MAI SETL
  6.016  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  6.017  UNTIL        @Triggered

  6.018  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  6.019  MATH         MEM = MEM / 1E-3
  6.020  UNTIL        (MEM >= 59.9) && (MEM <= 60.1)

  6.021  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  6.022  MATH         MEM = MEM1
  6.023  9500         mVpp                         1GH            LS    S  L
  6.024  IEEE2        TRIG:MAI SETL
  6.025  WAIT         -t 3 System Settling ...
  6.026  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  6.027  MATH         MEM = MEM / 1E-3
  6.028  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  6.029  MEM2         = Limit: >= 42.4 mVpp @ 1 GHz, Result: [MEM2]
  6.030  EVAL   -e MEM >= 42.4 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{ 20 mV/div}
  7.003  TARGET
  7.004  IEEE2        HOR:SCA 50E-9
  7.005  IEEE2        CH[V @Chan]:SCA 20E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 119.9 mV and 120.1 mV.
  7.006  MATH         MEM = 120; MEM1 = MEM

  7.007  DO
  7.008  MATH         MEM = MEM1 + (120 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.009  IF           MEM > 5560 || MEM < 4.44
  7.010  MATH         MEM = 120
  7.011  ENDIF

  7.012  9500         mVpp                         10MH           LS    S  L

  7.013  DO
  7.014  IEEE2        [D500]TRIG:MAI SETL
  7.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  7.016  UNTIL        @Triggered

  7.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  7.018  MATH         MEM = MEM / 1E-3
  7.019  UNTIL        (MEM >= 119.9) && (MEM <= 120.1)

  7.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  7.021  MATH         MEM = MEM1
  7.022  9500         mVpp                         1GH            LS    S  L
  7.023  IEEE2        TRIG:MAI SETL
  7.024  WAIT         -t 3 System Settling ...
  7.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  7.026  MATH         MEM = MEM / 1E-3
  7.027  MATH         MEM2 = FMT(MEM, "%.1f") & " mVpp"
  7.028  MEM2         = Limit: >= 84.8 mVpp @ 1 GHz, Result: [MEM2]
  7.029  EVAL   -e MEM >= 84.8 : [MEM2]

  8.001  RSLT         =
  8.002  HEAD         -2{ 50 mV/div}
  8.003  TARGET
  8.004  IEEE2        HOR:SCA 50E-9
  8.005  IEEE2        CH[V @Chan]:SCA 50E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 299 mV and 301 mV.
  8.006  MATH         MEM = 300; MEM1 = MEM

  8.007  DO
  8.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  8.009  IF           MEM > 5560 || MEM < 4.44
  8.010  MATH         MEM = 300
  8.011  ENDIF

  8.012  9500         mVpp                         10MH           LS    S  L

  8.013  DO
  8.014  IEEE2        [D500]TRIG:MAI SETL
  8.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  8.016  UNTIL        @Triggered

  8.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  8.018  MATH         MEM = MEM / 1E-3
  8.019  UNTIL        (MEM >= 299) && (MEM <= 301)

  8.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  8.021  MATH         MEM = MEM1
  8.022  9500         mVpp                         1GH            LS    S  L
  8.023  IEEE2        TRIG:MAI SETL
  8.024  WAIT         -t 3 System Settling ...
  8.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  8.026  MATH         MEM = MEM / 1E-3
  8.027  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  8.028  MEM2         = Limit: >= 212 mVpp @ 1 GHz, Result: [MEM2]
  8.029  EVAL   -e MEM >= 212 : [MEM2]

  9.001  RSLT         =
  9.002  HEAD         -2{ 200 mV/div}
  9.003  TARGET
  9.004  IEEE2        HOR:SCA 50E-9
  9.005  IEEE2        CH[V @Chan]:SCA 200E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 1199 mV and 1201 mV.
  9.006  MATH         MEM = 1200; MEM1 = MEM

  9.007  DO
  9.008  MATH         MEM = MEM1 + (1200 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  9.009  IF           MEM > 5560 || MEM < 4.44
  9.010  MATH         MEM = 1200
  9.011  ENDIF

  9.012  9500         mVpp                         10MH           LS    S  L

  9.013  DO
  9.014  IEEE2        [D500]TRIG:MAI SETL
  9.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
  9.016  UNTIL        @Triggered

  9.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  9.018  MATH         MEM = MEM / 1E-3
  9.019  UNTIL        (MEM >= 1199) && (MEM <= 1201)

  9.020  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
  9.021  MATH         MEM = MEM1
  9.022  9500         mVpp                         1GH            LS    S  L
  9.023  IEEE2        TRIG:MAI SETL
  9.024  WAIT         -t 3 System Settling ...
  9.025  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
  9.026  MATH         MEM = MEM / 1E-3
  9.027  MATH         MEM2 = FMT(MEM, "%.0f") & " mVpp"
  9.028  MEM2         = Limit: >= 848 mVpp @ 1 GHz, Result: [MEM2]
  9.029  EVAL   -e MEM >= 848 : [MEM2]

 10.001  RSLT         =
 10.002  HEAD         -2{ 500 mV/div}
 10.003  TARGET
 10.004  IEEE2        HOR:SCA 50E-9
 10.005  IEEE2        CH[V @Chan]:SCA 500E-3

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01 V
 10.006  MATH         MEM = 3; MEM1 = MEM

 10.007  DO
 10.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 10.009  IF           MEM > 5.56 || MEM < 0.00444
 10.010  MATH         MEM = 3
 10.011  ENDIF

 10.012  9500         Vpp                          10MH           LS    S  L

 10.013  DO
 10.014  IEEE2        [D500]TRIG:MAI SETL
 10.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 10.016  UNTIL        @Triggered

 10.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
 10.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

 10.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
 10.020  MATH         MEM = MEM1
 10.021  9500         Vpp                          1GH            LS    S  L
 10.022  IEEE2        TRIG:MAI SETL
 10.023  WAIT         -t 3 System Settling ...
 10.024  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
 10.025  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
 10.026  MEM2         = Limit: >= 2.12 Vpp @ 1 GHz, Result: [MEM2]
 10.027  EVAL   -e MEM >= 2.12 : [MEM2]

 11.001  RSLT         =
 11.002  HEAD         -2{ 1 V/div}
 11.003  TARGET
 11.004  IEEE2        HOR:SCA 50E-9
 11.005  IEEE2        CH[V @Chan]:SCA 1

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.99 V and 3.01 V because 9500 calibrator can only output maximum
# leveled sine 3.36 Vpp at 1 GHz.
 11.006  MATH         MEM = 3; MEM1 = MEM

 11.007  DO
 11.008  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 11.009  IF           MEM > 5.56 || MEM < 0.00444
 11.010  MATH         MEM = 3
 11.011  ENDIF

 11.012  9500         Vpp                          10MH           LS    S  L

 11.013  DO
 11.014  IEEE2        [D500]TRIG:MAI SETL
 11.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 11.016  UNTIL        @Triggered

 11.017  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
 11.018  UNTIL        (MEM >= 2.99) && (MEM <= 3.01)

 11.019  IEEE2        HOR:SCA 1E-9
# Last calibrator amplitude setting is in MEM1.
 11.020  MATH         MEM = MEM1
 11.021  9500         Vpp                          1GH            LS    S  L
 11.022  IEEE2        TRIG:MAI SETL
 11.023  WAIT         -t 3 System Settling ...
 11.024  IEEE2        [D500]MEASU:MEAS2:VAL?[I]
 11.025  MATH         MEM2 = FMT(MEM, "%.2f") & " Vpp"
 11.026  MEM2         = Limit: >= 2.12 Vpp @ 1 GHz, Result: [MEM2]
 11.027  EVAL   -e MEM >= 2.12 : [MEM2]

 12.001  HEAD         -2
 12.002  9500         *                                                 S
 12.003  ENDIF

 12.004  END

 12.005  EVAL   Increment step number

# ******************************** Sens ***********************************

 13.001  LABEL        TRIG_SENSITIVITY

 13.002  IF           @Chan == 1
 13.003  RSLT         =
 13.004  RSLT         =TRIG SENSITIVITY TESTS
 13.005  ENDIF

 13.006  CALL         Sub TDS500/600/700 Channel Name
 13.007  RSLT         =
 13.008  RSLT         = [V @ChanName]

 13.009  RSLT         =
 13.010  HEAD         TRIG SENSITIVITY TESTS (CH [V @Chan])
 13.011  HEAD         -2{ MAIN TRIG: (DC Coupled, 50 MHz)}
 13.012  TARGET
 13.013  CALL         Sub TDS500/600/700 Select Channel IEEE
 13.014  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
 13.015  IEEE2        TRIG:MAI:MOD NORM;TYP EDGE
 13.016  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
 13.017  IEEE2        ACQ:MODE AVE;NUMAV 16;STATE ON
 13.018  IEEE2        HOR:MAI:SCA 20.0E-9
 13.019  IEEE2        HOR:MOD DELAYED
 13.020  IEEE2        HOR:DEL:MOD TRIGA
 13.021  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 13.022  IEEE2        HOR:DEL:SEC 20.0E-9

# Set to main trigger.
 13.022  IEEE2        HOR:MOD MAIN
 13.022  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
 13.023  IEEE2        TRIG:MAI:EDGE:SLO RISE
 13.024  IEEE2        TRIG:MAI SETL
 13.025  IEEE2        MEASU:METH MINM
 13.026  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE AMPL;STATE ON

# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
 13.027  MATH         @TriggeredChkTimes = 1

# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 350 mV (100 mV/div, 3.5 div).
 13.028  MATH         MEM = 350; MEM1 = MEM

 13.029  DO
 13.030  MATH         MEM = MEM1 + (350 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 13.031  IF           MEM > 5560 || MEM < 4.44
 13.032  MATH         MEM = 350
 13.033  ENDIF

 13.034  9500         mVpp                         50MH           LS    S  L

 13.035  DO
 13.036  IEEE2        [D500]TRIG:MAI SETL
 13.037  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 13.038  UNTIL        @Triggered

 13.039  IEEE2        [D500]MEASU:MEAS1:VAL?[I]

 13.040  MATH         MEM = MEM / 1E-3
 13.041  UNTIL        (MEM >= 348) && (MEM <= 352)

# Reduce the output of calibrator to one tenth (about 35 mV or 0.35 div)
# in place of using a 10x attenuator.
 13.042  MATH         @AmplVpp = (MEM1 * 1E-3) / 10
 13.043  MATH         MEM = @AmplVpp / 1E-3
 13.044  9500         mVpp                         50MH           LS    S  L

 13.045  IEEE2        TRIG:MAI:EDGE:SLO RISE
# Set the increment for Sub TDS500/600/700 Main or Delayed Trigger IEEE.
 13.046  MATH         @StepVal = 2E-3
 13.047  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 13.048  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 13.049  EVAL   -e @TriggerStable : [MEM2]

 14.001  MATH         MEM = @AmplVpp / 1E-3
 14.002  9500         mVpp                         50MH           LS    S  L
 14.003  IEEE2        TRIG:MAI:EDGE:SLO FALL
 14.004  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 14.005  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 14.006  EVAL   -e @TriggerStable : [MEM2]

# Set back to rise slope edge trigger.
 15.001  IEEE2        TRIG:MAI:EDGE:SLO RISE

 15.002  RSLT         =
 15.003  HEAD         -2{ DELAYED TRIG: (DC Coupled, 50 MHz)}
 15.004  TARGET
# Set to delayed trigger.
 15.005  IEEE2        HOR:MOD DELAYED
 15.006  IEEE2        HOR:DEL:MOD TRIGA
 15.007  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 15.008  IEEE2        TRIG:DEL:EDGE:SLO RISE
 15.009  MATH         MEM = @AmplVpp / 1E-3
 15.010  9500         mVpp                         50MH           LS    S  L
 15.011  IEEE2        TRIG:DEL SETL
 15.012  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 15.013  MEM2         = Rising Slope, Limit: 0.35 div @ 50 MHz
 15.014  EVAL   -e @TriggerStable : [MEM2]

 16.001  IEEE2        TRIG:DEL:EDGE:SLO FALL
 16.002  MATH         MEM = @AmplVpp / 1E-3
 16.003  9500         mVpp                         50MH           LS    S  L
 16.004  IEEE2        TRIG:DEL SETL
 16.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 16.006  MEM2         = Falling Slope, Limit: 0.35 div @ 50 MHz
 16.007  EVAL   -e @TriggerStable : [MEM2]

 17.001  RSLT         =
 17.002  HEAD         -2{ MAIN TRIG: (DC Coupled, Full Bandwidth)}
 17.003  TARGET
# Set to main trigger again.
 17.004  IEEE2        HOR:MOD MAIN
 17.004  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];COUP DC
 17.005  IEEE2        HOR:SCA 500E-12
# Set the output of the calibrator so the peak-to-peak measurement is
# approximately 500 mV (100 mV/div, 5 div).
 17.006  MATH         MEM = 500; MEM1 = MEM

 17.007  DO
 17.008  MATH         MEM = MEM1 + (500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 17.009  IF           MEM > 3360 || MEM < 4.44
 17.010  MATH         MEM = 500
 17.011  ENDIF

 17.012  9500         mVpp                         1GH            LS    S  L

 17.013  DO
 17.014  IEEE2        [D500]TRIG:MAI SETL
 17.015  CALL         Sub TDS500/600/700 Check Trig Status IEEE
 17.016  UNTIL        @Triggered

 17.017  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 17.018  MATH         MEM = MEM / 1E-3
 17.019  UNTIL        (MEM >= 495) && (MEM <= 505)

# Reduce the output of calibrator to one fifth (about 100 mV or 1 div)
# in place of using a 5x attenuator.
 17.020  MATH         @AmplVpp = (MEM1 * 1E-3) / 5
 17.021  MATH         MEM = @AmplVpp / 1E-3
 17.022  9500         mVpp                         1GH            LS    S  L
 17.023  MATH         @StepVal = 2E-3
 17.024  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 17.025  MEM2         = Rising Slope, Limit: 1 div @ 1 GHz
 17.026  EVAL   -e @TriggerStable : [MEM2]

 18.001  MATH         MEM = @AmplVpp / 1E-3
 18.002  9500         mVpp                         1GH            LS    S  L
 18.003  IEEE2        TRIG:MAIN SETL
 18.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 18.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 18.006  MEM2         = Falling Slope, Limit: 1 div @ 1 GHz
 18.007  EVAL   -e @TriggerStable : [MEM2]

 19.001  RSLT         =
 19.002  HEAD         -2{ DELAYED TRIG: (DC Coupled, Full Bandwidth)}
 19.003  TARGET
 19.004  IEEE2        TRIG:MAI:EDGE:SLO RISE
 19.005  IEEE2        TRIG:MAI:EDGE:SOU LINE
 19.006  IEEE2        HOR:MOD DELAYED
 19.007  IEEE2        TRIG:DEL:BY TIME;EDGE:SOU CH[V @Chan]
 19.008  IEEE2        TRIG:DEL:EDGE:SLO RISE
 19.009  MATH         MEM = @AmplVpp / 1E-3
 19.010  9500         mVpp                         1GH            LS    S  L
 19.011  IEEE2        TRIG:DEL SETL
 19.012  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 19.013  MEM2         = Rising Slope, Limit: 1 div @ 1 GHz
 19.014  EVAL   -e @TriggerStable : [MEM2]

 20.001  IEEE2        TRIG:DEL:EDGE:SLO FALL
 20.002  MATH         MEM = @AmplVpp / 1E-3
 20.003  9500         mVpp                         1GH            LS    S  L
 20.004  IEEE2        TRIG:DEL SETL
 20.005  CALL         Sub TDS500/600/700 Main or Delayed Trigger IEEE
 20.006  MEM2         = Falling Slope, Limit: 1 div @ 1 GHz
 20.007  EVAL   -e @TriggerStable : [MEM2]

 21.001  HEAD         -2
 21.002  9500         *                                                 S
 21.003  END
